<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolRequirementsData" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolRequirementsData</refname>

    <refpurpose>returns the data needed to draw the specified
    requirement.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>d = sisotoolRequirementArea(editorType,requirementType,requirementData,bnds) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>editorType</term>

        <listitem>
          <para>A character string specifying the editor's type for which the
          data of a requirements is claimed.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>requirementType</term>

        <listitem>
          <para>A character string, the specified requirement type.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>requirementData</term>

        <listitem>
          <para>The array of the requirement data.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>bnds</term>

        <listitem>
          <para>A 2 by 2 array, the data_bounds property of the sub-window
          axes entity.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>d</term>

        <listitem>
          <para>A two column array, the coordinates of the polyline which
          delimits the requirement area.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Returns the data needed to draw the limit of the valid area for the
    specified requirement.</para>
  </refsection>
</refentry>
